fec_name=$(ls /sys/bus/platform/drivers/fec/ | grep ethernet)

if [ -n "$fec_name" ]; then
    # Remove loaded atemsys before unbind driver
    atemsys_loaded=$(lsmod | grep atemsys)
    if [ -n "$atemsys_loaded" ]; then
        rmmod atemsys
    fi

    # Unbind fec driver
    echo $fec_name > /sys/bus/platform/drivers/fec/unbind

    # Load atemsys to assign
    modprobe atemsys
fi